Bug 7031 - bind-8.2.2-P3-0.5.2 and -0.4.2 initscripts broken
Summary: bind-8.2.2-P3-0.5.2 and -0.4.2 initscripts broken
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
(Show other bugs)
Version: 5.2
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-15 22:50 UTC by Jim Knoble
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-21 11:25:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Knoble 1999-11-15 22:50:16 UTC
The initscript included in the bind-8.2.2_P3-0.5.2 security update
includes the following chkconfig comment:

  $ grep chkconfig /etc/rc.d/init.d/named
  # chkconfig: - 55 45
  $

Unfortunately, this causes the `chkconfig --add' run from the
postinstall script to add the following initscript links:

  $ ls -1 /etc/rc.d/rc?.d/*named*
  /etc/rc.d/rc0.d/K45named
  /etc/rc.d/rc1.d/K45named
  /etc/rc.d/rc2.d/K45named
  /etc/rc.d/rc3.d/K45named
  /etc/rc.d/rc4.d/K45named
  /etc/rc.d/rc5.d/K45named
  /etc/rc.d/rc6.d/K45named
  $

This effectively disables the named service on the next system reboot
after installing the security update.

The -0.4.2 package for Red Hat Linux 4.2 includes the same symlinks:

  $ rpm -ql bind |grep rc\.d
  /etc/rc.d/init.d/named
  /etc/rc.d/rc0.d/K45named
  /etc/rc.d/rc1.d/K45named
  /etc/rc.d/rc2.d/K45named
  /etc/rc.d/rc3.d/K45named
  /etc/rc.d/rc4.d/K45named
  /etc/rc.d/rc5.d/K45named
  /etc/rc.d/rc6.d/K45named
  $

and has the same effect.

Also, the version number of the package is misleading, since it
actually appears to include patch4, but is named ..._P3-....

Recommend fixing the initscript problem, grabbing the recent patch5,
and rereleasing the package.

Comment 1 Bernhard Rosenkraenzer 1999-11-21 11:25:59 UTC
P5 is in Raw Hide; updates for older releases are done only for major security
updates.
You can download the SRPM and recompile, though.
The chkconfig line is there to prevent bind from being started until someone
created a config file. I'll change it in the next version.


Note You need to log in before you can comment on or make changes to this bug.